<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>sessionStorage</title>
</head>
<body>
    
    <button id="crear">Crear</button>
    <button id="mostrar">Mostrar</button>
    <button id="modificar">Modificar</button>
    <button id="eliminar">Eliminar</button>


    <!--   JavaScript --->

    <script type="text/javascript">

        /* Llamado a los botones y asignación del evento a realizar */
        document.getElementById("crear").addEventListener("click", crear);
        document.getElementById("mostrar").addEventListener("click", mostrar);
        document.getElementById("modificar").addEventListener("click", modificar);
        document.getElementById("eliminar").addEventListener("click", eliminar);

        /* Funciones para los eventos del sessionStorage */
        function crear(){
            sessionStorage.setItem("usuario","Daniel");  /*setItem: Permite almacenar un par clave/valor */
            sessionStorage.setItem("email","daniel-baque98@outlook.com");
        }

        function mostrar(){
            alert("Usuario: " + sessionStorage.getItem("usuario") + "   Correo: " + sessionStorage.getItem("email"));
            /* getItem: Permite obtener el valor por medio de la clave */
        }

        function modificar(){
            sessionStorage.setItem("usuario","Alexander");
            sessionStorage.setItem("email","Alexander98@outlook.com");
        }

        function eliminar(){
            sessionStorage.removeItem("usuario");  /*removeItem: Permite eliminar la clave y su valor */
            sessionStorage.removeItem("email");

        }
    </script>

</body>
</html>